LEECHCRAFT(1)

NAME
LeechCraft - Extensible modular internet-client.

SYNOPSIS
leechcraft@LC_LIBSUFFIX@ [options] [entity]

DESCRIPTION
LeechCraft is an extensible cross-platfrom modular internet-client. Modularity means it is plugin-based: each task is done by a separate plugin. Currently plugins include, but are not limited to, the following:

    •   Aggregator - RSS/Atom feed reader.

    •   Azoth - multiprotocol IM client, currently supporting XMPP/IRC and lots of other stuff.

    •   BitTorrent - well, BitTorrent client.

    •   LackMan - userspace package manager for easy installation of iconsets, emoticons, themes, scripting plugins and other similar things.

    •   LMP - feature-rich collection-oriented audio player.

    •   Monocle - modular document viewer.

    •   Poshuku - WebKit-based web browser.

OPTIONS

  Common Qt Options

-style style, -style=style
    Specify the Qt widget style to use (examples: plastique, cleanlooks).

-stylesheet stylesheet, -stylesheet=stylesheet
    Specify the user stylesheet to use when rendering widgets.

-reverse
    Sets the application's layout direction to right-to-left.

  Options Specific to LeechCraft

entity
    The entity to handle by LeechCraft. This could be, for example, a torrent file name or an URL.

-v [ --version ]
    Print LeechCraft version and exit.

--automatic
    Don't consider this entity to be added as a result of user's action. This way LeechCraft would try to minimize the number of dialogs with user. Suitable for adding entities from cron or some other sources, where the user could be AFK.

    This only makes sense if an entity has been specified.

-H [ --handle ]
    The item must be handled, not downloaded. Useful when setting LeechCraft as default browser: this way it won't ask if the item should be opened in Poshuku or downloaded.

    This only makes sense if an entity has been specified.

-D [ --download ]
    The item must be downloaded only, not handled. This is similar to the -H option, but does the reverse.

    This only makes sense if an entity has been specified.

-T [ --type ] arg
    Defines the type of the passed entity. It could be one of the following:

    •   url for URLs that come from user input.

    •   url_encoded for percent-encoded URLs.

    •   file for local file paths.

    By default, url is assumed.

    This only makes sense if an entity has been specified.

-P [ --plugin ] path
    Use this option only if you know what you are doing.

    Loads only plugin from the given path. Specifying this option effectively disables loading plugins from standard places, so only given plugin would be loaded. Moreover, the given plugin's dependencies aren't evaluated, so you should load them by hand, specifying multiple -P options.

    As already been said, multiple -P options could be specified, resulting in multiple plugins being loaded.

    If this option is specified, LeechCraft doesn't check if it is already running, it just starts up and loads the given plugin(s). So, be careful with this option: you could either end up with lots of LeechCraft instances running or have your data corrupt if the specified plugin doesn't support sharing data between multiple running instances.

--nolog
    Disable custom logger that writes logs to ~/.leechcraft/{debug,warning,critical}.log and print everything to stdout/stderr.

--bt
    Print backtrace along with warning-level log entries. Helps tracing where do the warning entries come from.

--clrsckt
    Clear stalled local socket. Useful when LeechCraft doesn't start up and you know that no other instances are running.

--no-app-catch
    Disables catching all the exceptions in QApplication::notify(). Useful for debugging purposes only and shouldn't be used for live setups.

--autorestart
    Automatically restart if closed. This is done via Session Manager, so it won't work everywhere.

--help
    Print a short help message.

FILES
LeechCraft stores user-specific stuff in two places: ~/.config/Deviant for settings and ~/.leechcraft for more "heavy" data like RSS reader databases. XDG spec is not followed for the latter for hysterical raisins. Caches are stored in $XDG_CACHE_HOME/Deviant/leechcraft.

Plugins are loaded from /usr/local/lib/leechcraft@LC_LIBSUFFIX@/plugins and /usr/lib/leechcraft@LC_LIBSUFFIX@/plugins.

BUGS
There are many of them. Please report bugs to https://dev.leechcraft.org/projects/leechcraft/issues or via the Dolozhu plugin right from LeechCraft.

AUTHOR
The authors of LeechCraft are listed in its About dialog as well as on this web page: https://leechcraft.org/our-team.

This manual page was written by Georg Rudoy <0xd34df00d@gmail.com>.

Permission is granted to copy, distribute and/or modify this document under the terms of the Boost Software License, Version 1.0. Boost Software License - Version 1.0 - August 17th, 2003

On Debian systems, the complete text of the Boost Software License can be found in /usr/share/common-licenses/BSL.